package observ;
import java.util.Observable;
import java.util.Observer;


public class IntegerAdder implements Observer {

    private IntegerDataBag bag;

    public IntegerAdder( IntegerDataBag bag ) {
        this.bag = bag;               
        bag.addObserver( this );
    }

    public void update(Observable o, Object arg) {
        if (o == bag) {
            System.out.println("The contents of the IntegerDataBag have changed.");
            int sum = 0;
            for (Integer i : bag) {
                sum += i;
            }
            System.out.println("The new sum of the integers is: " + sum);
        }
    }

    
}

